/**
	3d Viewport
*/
export default function Viewport(
	props: {
		children: unknown,
		clampTop?: number,
		clampBottom?: number,
	}
) {
	const viewportProps: any = {};
	if (props.clampTop !== undefined) viewportProps["data-clamp-top"] = String(props.clampTop);
	if (props.clampBottom !== undefined) viewportProps["data-clamp-bottom"] = String(props.clampBottom);
	return <div
		class="viewport in3d"
		{...viewportProps}
	>
		{ props.children }
	</div>
}
